<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Class List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Class List</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here are the classes, structs, unions and interfaces with brief descriptions:</div><table>
  <tr><td class="indexkey"><a class="el" href="classcelAtanActivationFunc.html">celAtanActivationFunc&lt; T &gt;</a></td><td class="indexvalue">An arc-tangent activation function for the neural network property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelClientEventData.html">celClientEventData</a></td><td class="indexvalue">The data about a client event </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelCombineParameterBlock.html">celCombineParameterBlock</a></td><td class="indexvalue">Parameter block implementation to combine two existing parameter blocks </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelCosActivationFunc.html">celCosActivationFunc&lt; T &gt;</a></td><td class="indexvalue">A cosine activation function for the neural network property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structcelData.html">celData</a></td><td class="indexvalue">Typed data for CEL </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelElliottActivationFunc.html">celElliottActivationFunc&lt; T &gt;</a></td><td class="indexvalue">An Elliott activation function for the neural network property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelEnvFluid.html">celEnvFluid</a></td><td class="indexvalue">A class implementing a fluid in a sector </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelEnvGravity.html">celEnvGravity</a></td><td class="indexvalue">A class implementing gravity in a sector </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelExpActivationFunc.html">celExpActivationFunc&lt; T &gt;</a></td><td class="indexvalue">An exponential activation function for the neural network property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelGameClientManager.html">celGameClientManager</a></td><td class="indexvalue">This is an interface you should implement in order to manage the events from the client </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelGameFactoryManager.html">celGameFactoryManager</a></td><td class="indexvalue">This is an interface you should implement in order to manage the events from the factory of game sessions </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelGameInfo.html">celGameInfo</a></td><td class="indexvalue">General information on a game </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelGameInfoList.html">celGameInfoList</a></td><td class="indexvalue">A list of general info of games </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelGameServerManager.html">celGameServerManager</a></td><td class="indexvalue">This is an interface you should implement in order to manage the events from the server </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelGaussActivationFunc.html">celGaussActivationFunc&lt; T &gt;</a></td><td class="indexvalue">An gaussian activation function for the neural network property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelGenericParameterBlock.html">celGenericParameterBlock</a></td><td class="indexvalue">Generic parameter block implementation </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelInitializer.html">celInitializer</a></td><td class="indexvalue">This class contains static member functions which can help set up an application to use the Crystal Entity Layer </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelInvActivationFunc.html">celInvActivationFunc</a></td><td class="indexvalue">A reciprocal activation function for the neural network property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelLogActivationFunc.html">celLogActivationFunc&lt; T &gt;</a></td><td class="indexvalue">A logarithmic activation function for the neural network property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelMappedParameterBlock.html">celMappedParameterBlock</a></td><td class="indexvalue">Parameter block implementation which supports parameter mapping and expressions </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelMessageChannel.html">celMessageChannel</a></td><td class="indexvalue">Helper class for a message channel </td></tr>
  <tr><td class="indexkey"><a class="el" href="structcelNavigationInfo.html">celNavigationInfo</a></td><td class="indexvalue">Navigation result between navigator and target </td></tr>
  <tr><td class="indexkey"><a class="el" href="structcelNavigationTools.html">celNavigationTools</a></td><td class="indexvalue">Helplers for navigation </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelNetworkLinkData.html">celNetworkLinkData</a></td><td class="indexvalue">The data about a network link </td></tr>
  <tr><td class="indexkey"><a class="el" href="structcelNetworkPlayerStats.html">celNetworkPlayerStats</a></td><td class="indexvalue">The network stats of the connection viewed by the server </td></tr>
  <tr><td class="indexkey"><a class="el" href="structcelNetworkPlayerTotalStats.html">celNetworkPlayerTotalStats</a></td><td class="indexvalue">The network stats of the connection of all the players viewed by the server </td></tr>
  <tr><td class="indexkey"><a class="el" href="structcelNetworkServerStats.html">celNetworkServerStats</a></td><td class="indexvalue">The network stats of the connection viewed by the client </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelNNActivationFunc.html">celNNActivationFunc</a></td><td class="indexvalue">Abstract class representing an activation function callback for the neural network property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelNopActivationFunc.html">celNopActivationFunc&lt; T &gt;</a></td><td class="indexvalue">An identity activation function for the neural network property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelOneParameterBlock.html">celOneParameterBlock</a></td><td class="indexvalue">Parameter block implementation if only one parameter is desired </td></tr>
  <tr><td class="indexkey"><a class="el" href="structcelParSpec.html">celParSpec</a></td><td class="indexvalue">The description of a parameter </td></tr>
  <tr><td class="indexkey"><a class="el" href="structcelPcCameraCommon.html">celPcCameraCommon</a></td><td class="indexvalue">The representation of a camera </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelPcCommon.html">celPcCommon</a></td><td class="indexvalue">This is a common implementation for a property class from which all other property classes can inherit </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelPlayer.html">celPlayer</a></td><td class="indexvalue">General information on a player </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelServerEventData.html">celServerEventData</a></td><td class="indexvalue">The data about a server event </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelSigActivationFunc.html">celSigActivationFunc&lt; T &gt;</a></td><td class="indexvalue">A sigmoid activation function for the neural network property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelSinActivationFunc.html">celSinActivationFunc&lt; T &gt;</a></td><td class="indexvalue">A sine activation function for the neural network property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelSqrActivationFunc.html">celSqrActivationFunc&lt; T &gt;</a></td><td class="indexvalue">A squaring activation function for the neural network property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelStandardLocalEntitySet.html">celStandardLocalEntitySet</a></td><td class="indexvalue">Standard implementation of <a class="el" href="structiCelLocalEntitySet.html" title="A local entity set define the set of entities that are considered &#39;local&#39; to the saved file...">iCelLocalEntitySet</a> </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelStandardPersistentDataList.html">celStandardPersistentDataList</a></td><td class="indexvalue">Standard implementation of <a class="el" href="structiCelPersistentDataList.html" title="A list of persistent data for all the property classes of an entity.">iCelPersistentDataList</a> </td></tr>
  <tr><td class="indexkey"><a class="el" href="classCEL_1_1CelStartWrapper.html">CEL::CelStartWrapper</a></td><td class="indexvalue">Class for running CELstart, simplifying manipulation of the passed command line arguments </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelStepActivationFunc.html">celStepActivationFunc&lt; T &gt;</a></td><td class="indexvalue">A threshold activation function for the neural network property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelTanhActivationFunc.html">celTanhActivationFunc&lt; T &gt;</a></td><td class="indexvalue">A hyperbolic-tangent activation function for the neural network property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="classcelVariableParameterBlock.html">celVariableParameterBlock</a></td><td class="indexvalue">Variable parameter block implementation </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiActionRewardFactory.html">iActionRewardFactory</a></td><td class="indexvalue">This interface is implemented by the reward that sends an action to some entity or entity class property class with an optional tag </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiBillboard.html">iBillboard</a></td><td class="indexvalue">A billboard (2D image on screen) </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiBillboardEventHandler.html">iBillboardEventHandler</a></td><td class="indexvalue">An event on some billboard (like being selected or something) </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiBillboardLayer.html">iBillboardLayer</a></td><td class="indexvalue">A layer of billboards </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiBillboardManager.html">iBillboardManager</a></td><td class="indexvalue">This is a manager to handle billboards </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiBTAction.html">iBTAction</a></td><td class="indexvalue">This interface is implemented by the leaf action <a class="el" href="structiBTNode.html" title="This is a node of a behaviour tree.">iBTNode</a> that launches a list of CEL rewards </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiBTNode.html">iBTNode</a></td><td class="indexvalue">This is a node of a behaviour tree </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelBehaviour.html">iCelBehaviour</a></td><td class="indexvalue">This is an entity in the CEL layer at the BL (behaviour layer) side </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelBlLayer.html">iCelBlLayer</a></td><td class="indexvalue">This is the Behaviour Layer itself </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelBlLayerGenerate.html">iCelBlLayerGenerate</a></td><td class="indexvalue">This is an interface that behaviour layers can optionally implement </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelConsole.html">iCelConsole</a></td><td class="indexvalue">Interface for the CEL console </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelConsoleCommand.html">iCelConsoleCommand</a></td><td class="indexvalue">A single command for the CEL console </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a></td><td class="indexvalue">This interface describes persistable data </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelEdge.html">iCelEdge</a></td><td class="indexvalue">Interface for CEL Edge </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelEntity.html">iCelEntity</a></td><td class="indexvalue">This is an entity in the CEL layer at the PL (physical layer) side </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelEntityIterator.html">iCelEntityIterator</a></td><td class="indexvalue">An iterator for entities </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelEntityList.html">iCelEntityList</a></td><td class="indexvalue">A list of entities </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelEntityRemoveCallback.html">iCelEntityRemoveCallback</a></td><td class="indexvalue">Implement this interface if you want to know when entities are removed </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a></td><td class="indexvalue">This is an entity template </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelEntityTracker.html">iCelEntityTracker</a></td><td class="indexvalue">This structure maintains a tracker for entities </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelExpression.html">iCelExpression</a></td><td class="indexvalue">Interface for a single expression </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelExpressionParser.html">iCelExpressionParser</a></td><td class="indexvalue">Interface to the expression parser plugin (same as the blxml behaviour layer plugin) </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelGame.html">iCelGame</a></td><td class="indexvalue">A networked game </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelGameClient.html">iCelGameClient</a></td><td class="indexvalue">The main object to manage the client game logic </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelGameFactory.html">iCelGameFactory</a></td><td class="indexvalue">A factory to manage game sessions </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelGameServer.html">iCelGameServer</a></td><td class="indexvalue">The main object to manage the server game logic </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelGraph.html">iCelGraph</a></td><td class="indexvalue">Interface for the CEL Graph </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelHNavStruct.html">iCelHNavStruct</a></td><td class="indexvalue">Hierarchical navigation structure representing the navigable areas of a Map </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelHNavStructBuilder.html">iCelHNavStructBuilder</a></td><td class="indexvalue">Hierarchical navigation struct creator </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelHPath.html">iCelHPath</a></td><td class="indexvalue">Hierarchical path between two points </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelInventorySpace.html">iCelInventorySpace</a></td><td class="indexvalue">This interface represents a space system for the inventory property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelInventorySpaceSlot.html">iCelInventorySpaceSlot</a></td><td class="indexvalue">A slot in the inventory system </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelLocalEntitySet.html">iCelLocalEntitySet</a></td><td class="indexvalue">A local entity set define the set of entities that are considered 'local' to the saved file </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelMapFile.html">iCelMapFile</a></td><td class="indexvalue">A representation of a map file for a region </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelNavMesh.html">iCelNavMesh</a></td><td class="indexvalue">Polygon mesh representing the navigable areas of a Sector </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelNavMeshBuilder.html">iCelNavMeshBuilder</a></td><td class="indexvalue">Navigation mesh creator </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td class="indexvalue">Wrapper for the parameters used to build the navigation mesh </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a></td><td class="indexvalue">Path between two points which lay in the same Sector </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelNewEntityCallback.html">iCelNewEntityCallback</a></td><td class="indexvalue">Implement this interface if you want to know when new entities are added </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelNNWeights.html">iCelNNWeights</a></td><td class="indexvalue">Structure which can hold the weightings of all links between the nodes of an <a class="el" href="structiPcNeuralNet.html" title="A property class implementing a feed-forward neural network.">iPcNeuralNet</a> property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelNode.html">iCelNode</a></td><td class="indexvalue">Interface for CEL Node </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a></td><td class="indexvalue">This interface is a parameter block that can be used to pass parameters through SendMessage() in a behaviour </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelPath.html">iCelPath</a></td><td class="indexvalue">Interface for CEL Path </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelPersistence.html">iCelPersistence</a></td><td class="indexvalue">This interface describes a module that can persist CEL data </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelPersistentDataList.html">iCelPersistentDataList</a></td><td class="indexvalue">A list of persistent data for all the property classes of an entity </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelPlayerList.html">iCelPlayerList</a></td><td class="indexvalue">A list of players </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td class="indexvalue">This is the Physical Layer itself </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelPropertyChangeCallback.html">iCelPropertyChangeCallback</a></td><td class="indexvalue">This is a callback that is called whenever a property changes for some property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td class="indexvalue">This is a property class for an entity </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelPropertyClassFactory.html">iCelPropertyClassFactory</a></td><td class="indexvalue">This is a factory for property classes </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelPropertyClassList.html">iCelPropertyClassList</a></td><td class="indexvalue">A list of property classes </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a></td><td class="indexvalue">This is a property class template for an entity </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelRegion.html">iCelRegion</a></td><td class="indexvalue">A region </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelRule.html">iCelRule</a></td><td class="indexvalue">A rule </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelRuleBase.html">iCelRuleBase</a></td><td class="indexvalue">Interface for the Rule System </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelSequence.html">iCelSequence</a></td><td class="indexvalue">A sequence </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelSequenceCallback.html">iCelSequenceCallback</a></td><td class="indexvalue">This callback is fired when the sequences finished running properly </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelSequenceFactory.html">iCelSequenceFactory</a></td><td class="indexvalue">A representation of a sequence factory </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelSequenceFactoryGenerator.html">iCelSequenceFactoryGenerator</a></td><td class="indexvalue">This is the actual plugin which can generate sequence factories </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelTimerListener.html">iCelTimerListener</a></td><td class="indexvalue">Generic timing system in CEL </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCelZone.html">iCelZone</a></td><td class="indexvalue">A zone </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiChangePropertyRewardFactory.html">iChangePropertyRewardFactory</a></td><td class="indexvalue">This interface is implemented by the reward that changes the value of a property (either on a property from pcproperties or a generic property on any property class) </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCreateEntityRewardFactory.html">iCreateEntityRewardFactory</a></td><td class="indexvalue">This interface is implemented by the createentity reward, which can create entities from entity templates </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiCsSequenceRewardFactory.html">iCsSequenceRewardFactory</a></td><td class="indexvalue">This interface is implemented by the reward that fires a Crystal Space sequence </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiDebugPrintRewardFactory.html">iDebugPrintRewardFactory</a></td><td class="indexvalue">This interface is implemented by the reward that prints debug messages on standard output </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiDebugPrintSeqOpFactory.html">iDebugPrintSeqOpFactory</a></td><td class="indexvalue">This interface is implemented by the seqop that prints debug messages on standard output </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiDestroyEntityRewardFactory.html">iDestroyEntityRewardFactory</a></td><td class="indexvalue">This interface is implemented by the reward that destroys an entity </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiEnterSectorTriggerFactory.html">iEnterSectorTriggerFactory</a></td><td class="indexvalue">This interface is implemented by the trigger that fires when a certain sector is entered </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiEntityLoader.html">iEntityLoader</a></td><td class="indexvalue">This interface allows one to access the celentity addon with an easier interface </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiEntityTemplateLoader.html">iEntityTemplateLoader</a></td><td class="indexvalue">This interface allows one to access the celentitytpl addon with an easier interface </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiExecutionLimitDecorator.html">iExecutionLimitDecorator</a></td><td class="indexvalue">This interface is implemented by the decorator that limits the number of times its child is executed </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiGraphLoader.html">iGraphLoader</a></td><td class="indexvalue">This interface allows one to access the celentity addon with an easier interface </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiInventoryRewardFactory.html">iInventoryRewardFactory</a></td><td class="indexvalue">This interface is implemented by the reward that manipulates the inventory </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiInventoryTriggerFactory.html">iInventoryTriggerFactory</a></td><td class="indexvalue">This interface is implemented by the trigger that fires when a certain inventory gets some entity </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiLightSeqOpFactory.html">iLightSeqOpFactory</a></td><td class="indexvalue">This interface is implemented by the seqop that animates light colors </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiLoopDecorator.html">iLoopDecorator</a></td><td class="indexvalue">This interface is implemented by the decorator that executes its child multiple times </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiMeshSelectTriggerFactory.html">iMeshSelectTriggerFactory</a></td><td class="indexvalue">This interface is implemented by the trigger that fires when a certain mesh is selected </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiMessageChannel.html">iMessageChannel</a></td><td class="indexvalue">This is an message channel </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiMessageDispatcher.html">iMessageDispatcher</a></td><td class="indexvalue">This is a message dispatcher </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiMessageReceiver.html">iMessageReceiver</a></td><td class="indexvalue">Implement this interface if you are interested in receiving messages </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiMessageReceiverFilter.html">iMessageReceiverFilter</a></td><td class="indexvalue">This is a filter used for a message dispatcher </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiMessageRewardFactory.html">iMessageRewardFactory</a></td><td class="indexvalue">This interface is implemented by the reward that sends a message to some entity (the behaviour will get this message) </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiMessageSender.html">iMessageSender</a></td><td class="indexvalue">This interface represents the sender of a message </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiMessageTriggerFactory.html">iMessageTriggerFactory</a></td><td class="indexvalue">This interface is implemented by the trigger that fires when a message is sent </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiMovePathSeqOpFactory.html">iMovePathSeqOpFactory</a></td><td class="indexvalue">This interface is implemented by the seqop that moves meshes along a path </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiNewStateQuestRewardFactory.html">iNewStateQuestRewardFactory</a></td><td class="indexvalue">This interface is implemented by the reward that switches to another state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiNumReg.html">iNumReg</a></td><td class="indexvalue">This interface is used for ID -&gt; iCelEntity* registers in the physical layer </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiOperationTriggerFactory.html">iOperationTriggerFactory</a></td><td class="indexvalue">This interface is implemented by the operation trigger, that allows to combine several triggers using a logical operation </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiParameter.html">iParameter</a></td><td class="indexvalue">This interface represents a parameter to a sequence, trigger, or reward </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiParameterCheckCondition.html">iParameterCheckCondition</a></td><td class="indexvalue">This interface is implemented by the leaf <a class="el" href="structiBTNode.html" title="This is a node of a behaviour tree.">iBTNode</a> that checks whether or not a parameter is equal to a given value </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiParameterManager.html">iParameterManager</a></td><td class="indexvalue">This interface provides a generic functions for the evaluation of any type of parameter (constant, dynamic, or expression) </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td class="indexvalue">ActorMove property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td class="indexvalue">This is a property class for analog character movement using a joystick or analog pad </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcBag.html">iPcBag</a></td><td class="indexvalue">This is a bag of strings property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcBillboard.html">iPcBillboard</a></td><td class="indexvalue">Billboard property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td class="indexvalue">The representation of a camera </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcCharacteristics.html">iPcCharacteristics</a></td><td class="indexvalue">This is a characteristics property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcCollisionDetection.html">iPcCollisionDetection</a></td><td class="indexvalue">This property class controls collision detection of an entity with the world map and other meshes </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td class="indexvalue">Input propery class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td class="indexvalue">This is a property class used to control movement of an hovercraft </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcDamage.html">iPcDamage</a></td><td class="indexvalue">This is a property class for damage emitting </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td class="indexvalue">This is a property class that wraps a standard first-person and third-person camera and related functionality </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcDynamicMove.html">iPcDynamicMove</a></td><td class="indexvalue">This is a property class for dynamic movement </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcEnvAttractor.html">iPcEnvAttractor</a></td><td class="indexvalue">A property class representing an attractor or a repulsor </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcEvolve.html">iPcEvolve</a></td><td class="indexvalue">A property class implementing a genetic algorithm </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcGravity.html">iPcGravity</a></td><td class="indexvalue">Gravity handling property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcGravityCallback.html">iPcGravityCallback</a></td><td class="indexvalue">Inherit this class if you want to know when gravity is applied to a certain <a class="el" href="structiPcLinearMovement.html" title="This property class controls movement of an entity in a realistic manner.">iPcLinearMovement</a> </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcHover.html">iPcHover</a></td><td class="indexvalue">Hover stabiliser property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcInventory.html">iPcInventory</a></td><td class="indexvalue">This is an inventory property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcInventoryListener.html">iPcInventoryListener</a></td><td class="indexvalue">Listen to inventory changes </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcLight.html">iPcLight</a></td><td class="indexvalue">This is a property class holding the representation of a light </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcLinearMovement.html">iPcLinearMovement</a></td><td class="indexvalue">This property class controls movement of an entity in a realistic manner </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcMechanicsBalancedGroup.html">iPcMechanicsBalancedGroup</a></td><td class="indexvalue">Property class representing a balanced group of thrusters that can translate or rotate the object in a certain axis </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcMechanicsExploder.html">iPcMechanicsExploder</a></td><td class="indexvalue">A property class for handling the physics of an explosion </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcMechanicsJoint.html">iPcMechanicsJoint</a></td><td class="indexvalue">A joint </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td class="indexvalue">A dynamic body </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcMechanicsSteering.html">iPcMechanicsSteering</a></td><td class="indexvalue">Property class representing a steering mechanism that affects forces on the attached object, dependent on the forward velocity of the object </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcMechanicsSystem.html">iPcMechanicsSystem</a></td><td class="indexvalue">Property class representing a dynamic system </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcMechanicsThruster.html">iPcMechanicsThruster</a></td><td class="indexvalue">Property class representing a thruster that affect forces on the attached object </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcMechanicsThrusterController.html">iPcMechanicsThrusterController</a></td><td class="indexvalue">Property class that controls the thrusters attached to an object through the use of balanced thruster groups </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcMesh.html">iPcMesh</a></td><td class="indexvalue">This is a property class holding the representation of a mesh </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td class="indexvalue">This is a property class for selecting meshes </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcMeshSelectListener.html">iPcMeshSelectListener</a></td><td class="indexvalue">Listen to mesh selection </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcMovable.html">iPcMovable</a></td><td class="indexvalue">Control moving an <a class="el" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a> </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcMovableConstraint.html">iPcMovableConstraint</a></td><td class="indexvalue">A constraint for a movable </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcMover.html">iPcMover</a></td><td class="indexvalue">This is a mover property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcNeuralNet.html">iPcNeuralNet</a></td><td class="indexvalue">A property class implementing a feed-forward neural network </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td class="indexvalue">This is a camera property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcNpcMove.html">iPcNpcMove</a></td><td class="indexvalue">NpcMove property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcPathFinder.html">iPcPathFinder</a></td><td class="indexvalue">This is a pathfinder property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcPortal.html">iPcPortal</a></td><td class="indexvalue">This is a property class holding the representation of a portal </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcProjectile.html">iPcProjectile</a></td><td class="indexvalue">This is a projectile property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcProperties.html">iPcProperties</a></td><td class="indexvalue">This is a general property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcPropertyListener.html">iPcPropertyListener</a></td><td class="indexvalue">Listen for property changes </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcQuest.html">iPcQuest</a></td><td class="indexvalue">This property class represents a quest </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcRegion.html">iPcRegion</a></td><td class="indexvalue">The representation of a region </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcRules.html">iPcRules</a></td><td class="indexvalue">This property class represents a set of active rules for an entity </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcSimpleCamera.html">iPcSimpleCamera</a></td><td class="indexvalue">A class representing a simple camera, with capabilities for both first-person and third-person modes </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcSolid.html">iPcSolid</a></td><td class="indexvalue">A solid representation of an entity </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcSoundListener.html">iPcSoundListener</a></td><td class="indexvalue">This is the sound listener property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcSoundSource.html">iPcSoundSource</a></td><td class="indexvalue">This is the sound source property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcSpawn.html">iPcSpawn</a></td><td class="indexvalue">Spawn property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcSteer.html">iPcSteer</a></td><td class="indexvalue">This is a steering property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcTest.html">iPcTest</a></td><td class="indexvalue">This is a test property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcTimer.html">iPcTimer</a></td><td class="indexvalue">Timer propery class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcTooltip.html">iPcTooltip</a></td><td class="indexvalue">Tooltip property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td class="indexvalue">This is a trigger property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcTriggerListener.html">iPcTriggerListener</a></td><td class="indexvalue">Listen to trigger actions </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcWasdMove.html">iPcWasdMove</a></td><td class="indexvalue">This is a property class for wasd movement </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcWheeledMove.html">iPcWheeledMove</a></td><td class="indexvalue">This is a property class for wheeled movement </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcWire.html">iPcWire</a></td><td class="indexvalue">This is a wire property class </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td class="indexvalue">This is the zone manager </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPropertyChangeTriggerFactory.html">iPropertyChangeTriggerFactory</a></td><td class="indexvalue">This interface is implemented by the trigger that fires when a certain property passes a test on some value </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPropertySeqOpFactory.html">iPropertySeqOpFactory</a></td><td class="indexvalue">This interface is implemented by the seqop that transforms property class properties </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiQuest.html">iQuest</a></td><td class="indexvalue">A quest instance </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiQuestFactory.html">iQuestFactory</a></td><td class="indexvalue">A quest factory </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td class="indexvalue">This is the quest manager </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiQuestStateFactory.html">iQuestStateFactory</a></td><td class="indexvalue">A representation of a quest state in a quest factory </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a></td><td class="indexvalue">A trigger with response as used in a quest state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiReward.html">iReward</a></td><td class="indexvalue">This is a reward </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiRewardFactory.html">iRewardFactory</a></td><td class="indexvalue">A factory to create rewards </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiRewardType.html">iRewardType</a></td><td class="indexvalue">The reward type is responsible for the creation of reward factories </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiSeqOp.html">iSeqOp</a></td><td class="indexvalue">This is a sequence operation </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiSeqOpFactory.html">iSeqOpFactory</a></td><td class="indexvalue">A factory to create sequence operators </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiSeqOpType.html">iSeqOpType</a></td><td class="indexvalue">The seqop type is responsible for the creation of seqop factories </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiSequenceFinishRewardFactory.html">iSequenceFinishRewardFactory</a></td><td class="indexvalue">This interface is implemented by the reward that finishes a sequence </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiSequenceFinishTriggerFactory.html">iSequenceFinishTriggerFactory</a></td><td class="indexvalue">This interface is implemented by the trigger that fires when a certain sequence finishes </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiSequenceRewardFactory.html">iSequenceRewardFactory</a></td><td class="indexvalue">This interface is implemented by the reward that fires a sequence </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiTimeoutTriggerFactory.html">iTimeoutTriggerFactory</a></td><td class="indexvalue">This interface is implemented by the trigger that fires when a certain time has expired </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiTransformSeqOpFactory.html">iTransformSeqOpFactory</a></td><td class="indexvalue">This interface is implemented by the seqop that transforms meshes </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiTrigger.html">iTrigger</a></td><td class="indexvalue">This is a trigger </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiTriggerCallback.html">iTriggerCallback</a></td><td class="indexvalue">A trigger will get pointers to call back the quest when the trigger fires through this interface </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiTriggerFactory.html">iTriggerFactory</a></td><td class="indexvalue">A factory to create triggers </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiTriggerFiredCondition.html">iTriggerFiredCondition</a></td><td class="indexvalue">This interface is implemented by the leaf <a class="el" href="structiBTNode.html" title="This is a node of a behaviour tree.">iBTNode</a> that monitors a CEL trigger </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiTriggerTriggerFactory.html">iTriggerTriggerFactory</a></td><td class="indexvalue">This interface is implemented by the trigger that fires when a pctrigger fires </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiTriggerType.html">iTriggerType</a></td><td class="indexvalue">The trigger type is responsible for the creation of trigger factories </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiWatchTriggerFactory.html">iWatchTriggerFactory</a></td><td class="indexvalue">This interface is implemented by the trigger that fires when a mesh becomes visible </td></tr>
  <tr><td class="indexkey"><a class="el" href="structPropertyHolder.html">PropertyHolder</a></td><td class="indexvalue">Keep a static instance of this structure in your property class so that your property class can implement properties more easily </td></tr>
  <tr><td class="indexkey"><a class="el" href="structiPcmNewCamera_1_1Tracking.html">iPcmNewCamera::Tracking</a></td><td class="indexvalue">This is a camera to be used with actoranalog </td></tr>
</table>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
